#include "cuthread.h"

void cuthread::esegui() {
 sc_lv<6> tistr;

	memread.write(false);
	memwrite.write(false);
	Awrite.write(false);
	ALUwrite.write(false);
	Regwrite.write(false);
	wait();
	while(1) {
     // fetch
		memread.write(true);
		memwrite.write(false);
		Awrite.write(false);
		ALUwrite.write(false);
		Regwrite.write(false);
		wait();
	//  decode
		tistr=istr.read();
		memread.write(false);
		memwrite.write(false);
		Awrite.write(true);
		ALUwrite.write(false);
		Regwrite.write(false);
		wait();
	//  execute
		memread.write(false);
		memwrite.write(false);
		Awrite.write(false);
		ALUwrite.write(true);
		Regwrite.write(false);
		wait();
		switch(tistr.to_uint()) {
			case 0: // Istr R
					// write back
					memread.write(false);
					memwrite.write(false);
					Awrite.write(false);
					ALUwrite.write(false);
					Regwrite.write(true);
					wait();
					break;
			case 32: // load
					// mem load
					memread.write(true);
					memwrite.write(false);
					Awrite.write(false);
					ALUwrite.write(false);
					Regwrite.write(false);
					wait();
					// write back load
					memread.write(false);
					memwrite.write(false);
					Awrite.write(false);
					ALUwrite.write(false);
					Regwrite.write(true);
					wait();
					break;
			case 40: // store
				// mem store
					memread.write(false);
					memwrite.write(true);
					Awrite.write(false);
					ALUwrite.write(false);
					Regwrite.write(false);
					wait();
					break;
			default: memread.write(false);
					memwrite.write(false);
					Awrite.write(false);
					ALUwrite.write(false);
					Regwrite.write(false);
					wait();
		}
	}
}